Tutorial Class/Enum List File List Compound Members

- All
- Functions
- Typedefs
- Enumerations
- Enumerator

- a
- c
- d
- e
- g
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- w
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - a -

- Api : RtMidi

### - c -

- cancelCallback() : RtMidiIn
- closePort() : RtMidiOut , RtMidiIn , RtMidi

### - d -

- DEBUG_WARNING : RtError
- DRIVER_ERROR : RtError

### - e -

- error() : RtMidi

### - g -

- getCompiledApi() : RtMidi
- getCurrentApi() : RtMidiIn , RtMidiOut
- getMessage() : RtMidiIn , RtError
- getPortCount() : RtMidiOut , RtMidiIn , RtMidi
- getPortName() : RtMidiIn , RtMidi , RtMidiOut
- getType() : RtError

### - i -

- ignoreTypes() : RtMidiIn
- INVALID_DEVICE : RtError
- INVALID_PARAMETER : RtError
- INVALID_USE : RtError

### - l -

- LINUX_ALSA : RtMidi

### - m -

- MACOSX_CORE : RtMidi
- MEMORY_ERROR : RtError

### - n -

- NO_DEVICES_FOUND : RtError

### - o -

- openPort() : RtMidi , RtMidiIn , RtMidiOut
- openVirtualPort() : RtMidi , RtMidiIn , RtMidiOut

### - p -

- printMessage() : RtError

### - r -

- RtError() : RtError
- RTMIDI_DUMMY : RtMidi
- RtMidiCallback : RtMidiIn
- RtMidiIn() : RtMidiIn
- RtMidiOut() : RtMidiOut

### - s -

- sendMessage() : RtMidiOut
- setCallback() : RtMidiIn
- SYSTEM_ERROR : RtError

### - t -

- THREAD_ERROR : RtError
- Type : RtError

### - u -

- UNIX_JACK : RtMidi
- UNSPECIFIED : RtError , RtMidi

### - w -

- WARNING : RtError
- what() : RtError
- WINDOWS_KS : RtMidi
- WINDOWS_MM : RtMidi

### - ~ -

- ~RtError() : RtError
- ~RtMidiIn() : RtMidiIn
- ~RtMidiOut() : RtMidiOut

| ©2003-2012 Gary P. Scavone, McGill University. All Rights Reserved. Maintained by Gary P. Scavone, gary at music.mcgill.ca